# std::regex_traits::imbue

From cppreference.com
< cpp‎ | regex‎ | regex traits

locale_type imbue( locale_type loc ); |  | (since C++11)

Replaces the current locale with a copy of `loc`. If `loc` is different than the current locale, then all cached data is invalidated.

After the call getloc() == loc.

### Parameters

loc | - | the locale to imbue

### Return value

The current locale of the traits object.

If `imbue()` has been never called for this object, then the global locale at the time of the call is returned. Otherwise, the locale passed to the last call to `imbue()` is returned.

### Example

| This section is incomplete Reason: no example

### See also

getloc | gets the locale (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/regex_traits/imbue&oldid=61313"
Category:

- Todo no example